package com.ruoyi.zzb.common.domain;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("ZZB_BASE_APPOLVE_INFO")
public class BaseApproveInfo {

    private String moduleCode;

    @TableId(value = "APPROVE_ID", type = IdType.ASSIGN_ID)
    private String approveId;

    private String applyFormId;
    private String createUserId;
    private String createUserName;
    private String createUserPoliceNo;
    private Date createTime;

    private String approveUserId;
    private String approveUserName;
    private String approveUserPoliceNo;

    @TableField(value = "APPROVE_TIME", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date approveTime;

    private String approveResultCode;
    private String approveResultDesc;
    private String approveDesc;

}
