package com.ruoyi.zzb.common.domain;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("ZZB_BASE_FILES_INFO")
public class BaseFileInfo {

    private String moduleCode;
    private String applyFormId;
    private String fileTypeName;
    private String fileTypeCode;
    private Integer fileOrder;
    private String fileOriginalName;
    private String fileExtensions;
    private String fileRequestPath;
    private String fileStoragePath;
    private String fileStorageId;
    private Integer isDelete;

    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

}
