package com.ruoyi.zzb.study.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;


@AllArgsConstructor
@NoArgsConstructor
@Data
@TableName("STUDY_VIEW_LOG")
public class StudyViewLogInfo {

    @TableId(type = IdType.ASSIGN_ID)
    private String docId;
    @NotBlank
    private String userId;
    private String userName;
    private String userIdcard;
    private String userPoliceNo;
    private String parentDeptName;
    private String parentDeptCode;
    private String deptName;
    private String deptCode;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private String viewTime;

}
