package com.ruoyi.zzb.common.bean;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 公共分页类
 * @author pan_junbiao
 **/
@Data
public class BasePaging
{
    /**
     * 当前页码  默认1
     */
    private int pageIndex = 1;

    /**
     * 分页大小  默认10
     */
    private int pageSize = 10;

    /**
     * 排序
     */
    private String orderBy;
}