package com.ruoyi.zzb.common.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.web.multipart.MultipartFile;

/**
 * @Author: fangtasyJ
 * @Date: 2024/12/4 14:21
 * @Description: 业务模块处理文件上传通用DTO，枚举业务模块所需上传的全部文件类型，通过该类进行统一接收和处理
 * @version: 1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class BaseFileSetDTO {

    // 模块编码
    private String moduleCode;
    // 申请单ID
    private String applyFormId;
    // 住院慰问申请表
    private MultipartFile[] zywwsqbFiles;
    // 住院慰问金汇总申请表
    private MultipartFile[] zywwjhzsqbFiles;
    // 基层工会慰问金申报表
    private MultipartFile[] jcghwwjsbbFiles;
    // 在职证明
    private MultipartFile[] zzzmFiles;
    // 公示
    private MultipartFile[] gsFiles;
    // 身份证复印件
    private MultipartFile[] sfzfyjFiles;
    // 工会会员卡复印件
    private MultipartFile[] ghhykfyjFiles;
    // 住院病案首页复印件
    private MultipartFile[] zybasyfyjFiles;
    // 诊断证明复印件
    private MultipartFile[] zdzmfyjFiles;
    // 工伤证明
    private MultipartFile[] gszmFiles;
    // 手术记录
    private MultipartFile[] ssjlFiles;
    // 大病救助申请表
    private MultipartFile[] dbjzsqbFiles;
    // 低保金领取证明
    private MultipartFile[] dbjlqzmFiles;
    // 医药费用缴纳明细证明
    private MultipartFile[] yyfyjnmxzmFiles;
    // 病案首页复印件
    private MultipartFile[] basyfyjFiles;
    // 入院记录复印件
    private MultipartFile[] ryjlfyjFiles;
    // 出院记录复印件
    private MultipartFile[] cyjlfyjFiles;
    // 持卡会员审批表
    private MultipartFile[] ckhyspbFiles;
    // 会员卡复印件
    private MultipartFile[] hykfyjFiles;
    // 诊断证明原件
    private MultipartFile[] zdzmyjFiles;
    // 手术记录复印件
    private MultipartFile[] ssjlfyjFiles;
    // 病理报告复印件
    private MultipartFile[] blbgfyjFiles;
    // 检查报告复印件
    private MultipartFile[] jcbgfyjFiles;

}
