package com.ruoyi.zzb.zyww.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.web.multipart.MultipartFile;

/**
 * 【住院慰问】上传文件集合DTO
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ZywwFileSetDTO {

    // 住院慰问申请表
    private MultipartFile[] zywwsqbFiles;
    // 住院慰问金汇总申请表
    private MultipartFile[] zywwjhzsqbFiles;
    // 基层工会慰问金申报表
    private MultipartFile[] jcghwwjsbbFiles;
    // 在职证明
    private MultipartFile[] zzzmFiles;
    // 公示
    private MultipartFile[] gsFiles;
    // 身份证复印件
    private MultipartFile[] sfzfyjFiles;
    // 工会会员卡复印件
    private MultipartFile[] ghhykfyjFiles;
    // 住院病案首页复印件
    private MultipartFile[] zybasyfyjFiles;
    // 诊断证明复印件
    private MultipartFile[] zdzmfyjFiles;
    // 工伤证明
    private MultipartFile[] gszmFiles;
    // 手术记录
    private MultipartFile[] ssjlFiles;

}
